MatrixOrigin MatrixOrigin Docs
Product docs
MatrixOne Intelligence Current product MatrixOne
Get Started Overview GenAI Workspace Database Instance Help Release Notes
/
Contents Menu Expand Light mode Dark mode Auto light/dark, in light mode Auto light/dark, in dark mode Skip to content
MatrixOne Intelligence Docs
MatrixOne Intelligence Docs

MatrixOne Intelligence

  • Home
  • Get Started
    • Quickstart: Create a MatrixOne Intelligence Instance
    • Quickstart: GenAI Workspace
  • Overview
    • MatrixOne Intelligence: an AI-Native Multi-Modal Data Platform
  • GenAI Workspace
    • Overview
    • Workspace Management
    • Data Integration
      • Connectors
      • Data Loading
      • Data Export
    • Data Processing
      • Workflow Templates
        • Workflow Template Overview
        • Multimodal Document RAG Data Preparation
        • Resume Information Extraction
        • Legal Knowledge Fine-Tuning Data Generation
      • Workflow
      • Operation
    • Data Exploration
      • Data Center
      • Data Exploration
    • Alerts
    • User Permissions
      • User Management
      • Role Management
    • Application Development
      • MCP Usage Instructions
      • Deerflow Integration with MOI RAG Service Usage Instructions
    • API
      • Workflow API Documentation
        • API Key
        • Data Integration
        • Data Processing
        • Data Exploration
        • Metrics
      • Quick Start API Documentation
        • Structured Extraction
  • Database Instance
    • MySQL Compatibility
    • Instance Management
      • Create an Instance
        • Create an Instance
        • Create an instance
      • Connect to MatrixOne instance
      • Log in to the database management platform for instance
      • Terminate and restore instances
    • Data Sharing
    • Data Migration and Import
      • Import TPC-H sample data
      • Import object storage data
      • Import local data
      • Write MySQL data to MatrixOne Intelligence using NineData
    • Export data using modump
    • Data Exploration
      • SQL Editor
      • Workbook management
      • Query Analysis
        • SQL Query History
        • Query Analysis
    • Application Development
      • Connect to a Database Instance
        • Client Tools Connection
        • Connect to a MatrixOne instance using a web page
        • Connect using JDBC
        • Connect using Java ORMs
        • Connect with Python
        • Connect using Golang
        • C# Connection
      • Database Schema Design
        • Database Pattern Design Overview
        • Create a database
        • Create a table
        • Create a view
        • Create a temporary table
        • Create secondary index
        • Constraints
          • Constraint Overview
          • NOT NULL Non-empty constraints
          • UNIQUE KEY Unique constraint
          • PRIMARY KEY Primary Key Constraint
          • FOREIGN KEY Constraint
          • AUTO INCREMENT Self-increasing constraint
      • Data Writing
        • INSERT Insert
        • Streaming import
        • Bulk Insert
          • Batch import overview
          • Insert csv file
          • Insert jsonlines file
          • Importing Files from Object Storage
          • Source Insert
        • Update data
        • Delete data
        • Preprocessing
      • Data Reading
        • Single table query
        • Multi-table join query
        • Subquery
        • View
        • Public table expression (CTE)
      • Application Development Examples
        • Java Basic Example
        • Python Basic Example
        • SpringBoot and JPA basic examples
        • SpringBoot and MyBatis basic examples
        • SQLAlchemy Basic Example
        • Django Basic Example
        • Golang Basic Example
        • gorm basic example
        • C# Basic Example
      • Transactions
        • Transaction General Concepts
        • MatrixOne Intelligence Transactions
          • MatrixOne Intelligence transaction overview
          • Explicit transactions
          • Implicit transactions
          • Pessimistic affairs
          • Optimistic Affairs
          • Isolation level
          • MVCC
          • Transaction usage guide
          • Application scenarios
    • Snapshot backup recovery
    • Security
      • Security and Permissions Overview
      • Set IP whitelist
      • Data transmission encryption
      • PrivateLink
      • Role-Based Access Control (RBAC)
    • Monitoring
      • Monitoring indicators
      • Monitor data
    • Alerts
      • Alert
      • Alarm
    • event
    • Reference Manual
      • System Variables
        • System Variables Overview
        • System Variable Parameters
          • SQL Mode
          • Query Result Saving Support
          • Timezone Support
          • Case Sensitivity Support
          • Foreign Key Check Support
          • Query Result Column Name Consistency
          • Illegal Login Restrictions
          • Password Complexity Check
          • Connection Whitelist
        • Custom Variables
      • SQL Structure and Syntax
        • Keywords
        • Comments
      • Data Types
        • Data Types Overview
        • Data Type Conversion
        • Date and Time Types
          • TIMESTAMP and DATETIME Auto-Initialization and Update
          • YEAR Type
        • JSON Data Type
        • BLOB and TEXT Data Types
        • DATALINK Data Type
        • ENUM Type
        • UUID Data Type
        • Fixed-Point Numeric Types (DECIMAL)
        • Vector Data Type
      • SQL Catalog
        • SQL Statement Categories
        • Data Definition Language (DDL)
          • CREATE DATABASE
          • CREATE INDEX
          • CREATE INDEX...USING IVFFLAT
          • CREATE TABLE
          • CREATE TABLE AS SELECT
          • CREATE EXTERNAL TABLE
          • CREATE PITR
          • CREATE PUBLICATION
          • CREATE SEQUENCE
          • CREATE STAGE
          • CREATE...FROM...PUBLICATION...
          • CREATE VIEW
          • CREATE FUNCTION...LANGUAGE SQL AS
          • CREATE SOURCE
          • CREATE DYNAMIC TABLE
          • CREATE SNAPSHOT
          • ALTER TABLE
          • ALTER TABLE ... ALTER REINDEX
          • ALTER PITR
          • ALTER PUBLICATION
          • ALTER SEQUENCE
          • ALTER STAGE
          • ALTER VIEW
          • DROP DATABASE
          • DROP INDEX
          • DROP TABLE
          • DROP PITR
          • DROP PUBLICATION
          • DROP SEQUENCE
          • DROP STAGE
          • DROP SNAPSHOT
          • DROP VIEW
          • DROP FUNCTION
          • TRUNCATE TABLE
          • RENAME TABLE
          • RESTORE PITR
          • RESTORE ACCOUNT
          • RESTORE SNAPSHOT
          • PARTITION
        • Data Manipulation Language (DML)
          • INSERT
          • INSERT INTO SELECT
          • DELETE
          • UPDATE
          • LOAD DATA INFILE
          • LOAD DATA INLINE
          • UPSERT
            • UPSERT Overview
            • INSERT ON DUPLICATE KEY UPDATE
            • INSERT IGNORE
            • REPLACE
          • Information Functions
            • LAST_QUERY_ID()
            • LAST_INSERT_ID()
        • Data Query Language (DQL)
          • SELECT
          • SUBQUERY
            • SUBQUERY Overview
            • Derived Tables
            • Subqueries with Comparison Operators
            • SUBQUERY with ANY or SOME
            • SUBQUERY with ALL
            • SUBQUERY with EXISTS
            • SUBQUERY with IN
          • JOIN
            • JOIN Overview
            • INNER JOIN
            • LEFT JOIN
            • RIGHT JOIN
            • FULL JOIN
            • OUTER JOIN
            • NATURAL JOIN
          • With CTE
          • Union Queries
            • UNION
            • INTERSECT
            • MINUS
            • UNION / INTERSECT / MINUS Overview
        • Data Control Language (DCL)
          • CREATE ROLE
          • CREATE USER
          • ALTER USER
          • DROP USER
          • DROP ROLE
          • GRANT
          • REVOKE
        • Others
          • SHOW
            • SHOW ACCOUNTS
            • SHOW DATABASES
            • SHOW CREATE TABLE
            • SHOW CREATE VIEW
            • SHOW CREATE PUBLICATION
            • SHOW TABLES
            • SHOW INDEX
            • SHOW COLLATION
            • SHOW COLUMNS
            • SHOW FUNCTION STATUS
            • SHOW GRANT
            • SHOW PROCESSLIST
            • SHOW PUBLICATIONS
            • SHOW PITR
            • SHOW ROLES
            • SHOW SEQUENCES
            • SHOW SNAPSHOTS
            • SHOW STAGES
            • SHOW SUBSCRIPTIONS
            • SHOW VARIABLES
          • SET
            • SET ROLE
          • USE
            • USE DATABASE
          • KILL
          • Prepared
            • PREPARE
            • EXECUTE
            • DEALLOCATE
          • Explain
            • Explain
            • Explain 输出格式
            • Explain Analyze
          • Partition
            • MO Partition Support
      • Operators
        • INTERVAL
        • Operators
          • Operators Overview
          • Operator Precedence
          • Arithmetic Operators
            • Arithmetic Operators Overview
            • %,MOD
            • *
            • +
            • -
            • -
            • /
            • DIV
          • Assignment Operators
            • Assignment Operators Overview
            • =
          • Bitwise Operators
            • Bitwise Operators Overview
            • &
            • >>
            • <<
            • ^
            • |
            • ~
          • Cast Functions and Operators
            • Cast Functions and Operators Overview
            • BINARY
            • CAST
            • CONVERT
            • DECODE
            • ENCODE
            • SERIAL
            • SERIAL_FULL
          • Comparison Functions and Operators
            • Comparison Functions and Operators Overview
            • >
            • >=
            • <
            • <>,!=
            • <=
            • =
            • BETWEEN ... AND ...
            • IN
            • IS
            • IS NOT
            • IS NOT NULL
            • IS NULL
            • ISNULL
            • ILIKE
            • LIKE
            • NOT BETWEEN ... AND ...
            • NOT IN
            • NOT LIKE
            • COALESCE
          • Control Flow Functions
            • Control Flow Functions Overview
            • CASE WHEN
            • IF
            • IFNULL
            • NULLIF
          • Logical Operators
            • Logical Operators Overview
            • AND,&&
            • NOT,!
            • OR
            • XOR
      • Functions
        • Function List
        • Aggregate Functions
          • ANY_VALUE
          • AVG
          • BITMAP
          • BIT_AND
          • BIT_OR
          • BIT_XOR
          • COUNT
          • GROUP_CONCAT
          • MAX
          • MEDIAN
          • MIN
          • STDDEV_POP
          • SUM
          • VARIANCE
          • VAR_POP
        • Date and Time Functions
          • CONVERT_TZ()
          • CURDATE()
          • CURRENT_TIMESTAMP()
          • DATE()
          • DATE_ADD()
          • DATE_FORMAT()
          • DATE_SUB()
          • DATEDIFF()
          • DAY()
          • DAYOFYEAR()
          • EXTRACT()
          • HOUR()
          • FROM_UNIXTIME
          • MINUTE()
          • MONTH()
          • NOW()
          • SECOND()
          • STR_TO_DATE()
          • SYSDATE()
          • TIME()
          • TIMEDIFF()
          • TIMESTAMP()
          • TIMESTAMPDIFF()
          • TO_DATE()
          • TO_DAYS()
          • TO_SECONDS()
          • UNIX_TIMESTAMP
          • UTC_TIMESTAMP()
          • WEEK()
          • WEEKDAY()
          • YEAR()
        • Mathematical Functions
          • ABS()
          • ACOS()
          • ATAN()
          • CEIL()
          • CEILING()
          • COS()
          • COT()
          • EXP()
          • FLOOR()
          • LN()
          • LOG()
          • LOG2()
          • LOG10()
          • PI()
          • POWER()
          • ROUND()
          • RAND()
          • SIN()
          • SINH()
          • TAN()
        • String Functions
          • BIN()
          • BIT_LENGTH()
          • CHAR_LENGTH()
          • CONCAT()
          • CONCAT_WS()
          • EMPTY()
          • ENDSWITH()
          • FIELD()
          • FIND_IN_SET()
          • FORMAT()
          • FROM_BASE64()
          • HEX()
          • INSTR()
          • LCASE()
          • LEFT()
          • LENGTH()
          • LOCATE()
          • LOWER()
          • LPAD()
          • LTRIM()
          • MD5()
          • OCT()
          • REPEAT()
          • REVERSE()
          • RPAD()
          • RTRIM()
          • SHA1()/SHA()
          • SHA2()
          • SPACE()
          • SPLIT_PART()
          • STARTSWITH()
          • SUBSTRING()
          • SUBSTRING_INDEX()
          • TO_BASE64()
          • TRIM()
          • UCASE()
          • UNHEX()
          • UPPER()
          • Regular Expression Overview
            • 正则表达式概述
            • NOT REGEXP
            • REGEXP_INSTR()
            • REGEXP_LIKE()
            • REGEXP_REPLACE()
            • REGEXP_SUBSTR()
        • Vector Functions
          • Basic Operators
          • Mathematical Calculations
          • CLUSTER_CENTERS()
          • COSINE_SIMILARITY()
          • COSINE_DISTANCE()
          • INNER_PRODUCT()
          • L1_NORM()
          • L2_NORM()
          • L2_DISTANCE()
          • NORMALIZE_L2()
          • SUBVECTOR()
          • VECTOR_DIMS()
        • Table Functions
          • GENERATE_SERIES()
          • UNNEST()
        • Window Functions
          • DENSE_RANK()
          • RANK()
          • ROW_NUMBER()
        • JSON Functions
          • JQ()
          • JSON_EXTRACT()
          • JSON_EXTRACT_FLOAT64()
          • JSON_EXTRACT_STRING()
          • JSON_QUOTE()
          • JSON_ROW()
          • JSON_UNQUOTE()
          • TRY_JQ()
        • Other Functions
          • LOAD_FILE
          • SAVE_FILE
          • SAMPLE
          • SERIAL_EXTRACT
          • SLEEP
          • STAGE_LIST
          • UUID()
        • System Operations Functions
          • CURRENT_ROLE_NAME()
          • CURRENT_ROLE()
          • CURRENT_USER_NAME()
          • CURRENT_USER()
          • VERSION()
          • PURGE_LOG()
      • System Tables Catalog
      • Permission Categories List
      • Usage Limitations
        • MatrixOne JDBC Feature Support List
        • MatrixOne DDL Statement Partition Support
        • MatrixOne Load Data Support
    • Glossary
    • Billing
      • Top up
      • Account Overview
      • Coupons Management
      • Revenue and expenditure details
      • Bill details
      • Price Details
        • Pricing: Serverless production instances
        • Pricing: Standard instances
      • Renewing an instance
      • Cash overdraft
      • Configuration change
      • Cancellation policy
  • Help
    • FAQs
      • MatrixOne Intelligence FAQs
      • SQL FAQs
    • Related Agreements
      • Privacy Policy
      • Terms of Service
      • Service Level Agreement
    • Technical Support
  • Release Notes
    • 2026
    • 2025
    • 2024
    • 2023
Back to top

Data access related API¶

Connector¶

Create a Connector¶

POST /conectors

Input parameters:

Parameters

Required

Meaning

name

Yes

Connector name

source_type

Yes

Connector type, 4 is OSS, 5 is standard S3

config

Yes

Configure the connection information of oss and s3. If it is oss, you need to fill in endpoint, access_key_id, access_key_secret, and bucket_name. If it is s3, in addition to the parameters in oss, you need to fill in region and path_style (path style) information.

body:

{
    "name": "new_connector_name",
    "source_type": 4,
    "config": {
        "oss": { // If source_type is 4, fill in this field
            "endpoint": "example_oss_endpoint",
            "access_key_id": "example_access_key_id",
            "access_key_secret": "example_access_key_secret",
            "bucket_name": "example_bucket_name"
        },
        "s3": { // If source_type is 5, fill in this field
            "endpoint": "example_s3_endpoint",
            "access_key_id": "example_access_key_id",
            "access_key_secret": "example_access_key_secret",
            "bucket_name": "example_bucket_name",
            "region": "example_region",
            "path_style": true //Path style, true is path style, false is virtual hoste
        }
    }
}

Example:

import requests

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/connectors" # Please replace it with the actual API address
headers = {
    "user-id":"0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "91a2234e-0a06-4d84-815e-840e379d9e1c-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin"
}

body = {
    "name": "oss-test2",
    "source_type": 4,
    "config": {
        "oss": {
            "endpoint": "xxxx",
            "access_key_id": "xxxx",
            "access_key_secret": "xxxx",
            "bucket_name": "xxxx"
        }
    }
}

response = requests.post(url, json=body, headers=headers)

if response.status_code == 200:
    print(response.json())
else:
    print(f"Request failed, status code: {response.status_code}, error message: {response.text}")

return:

{'code': 'OK', 'msg': 'OK'}

Verify the connector¶

POST /connectors/validate

Input parameters:

Parameters

Required

Meaning

source_type

Yes

Connector type, 4 is OSS, 5 is standard S3

connector_id

No

If you fill in connector_id, you don’t need to fill in the config information.

config

No

If you fill in config, you do not need to fill in the connection information of the connector_id information configuration oss and s3. If it is oss, you need to fill in endpoint, access_key_id, access_key_secret, bucket_name. If it is s3, in addition to the parameters in oss, you also need to fill in region and path_style information.

Example:

import requests

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/connectors/validate"
headers = {
    "user-id":"0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "2c5a7dc4-032a-42ac-b5ad-4db47f11772b-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin"
}

body = {
    "source_type": 4,
    "config": {
        "oss": {
            "endpoint": "xxxx",
            "access_key_id": "xxxx",
            "access_key_secret": "xxxx",
            "bucket_name": "xxxx"
        }
    }
}

response = requests.post(url, json=body, headers=headers)

if response.status_code == 200:
    print(response.json())
else:
    print(f"Request failed, status code: {response.status_code}, error message: {response.text}")

Return to the example:

{'code': 'OK', 'msg': 'OK', 'data': {'valid': True}}

Query Connector¶

GET /connectors/list

Output parameters:

Parameters

Meaning

id

connector-id

source_type

Connector type, 4 is OSS, 5 is standard S3

name

connector name

status

Connection status

created_at

Created time

updated_at

Update time

username

Created by

updated_at

Update time

username

Created by

related_task_ids

associated TaskID

config

Connector configuration information

total

Return number

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/connectors/list"
headers = {
    "user-id":"xxxx",
    "uid": "f42d1006-b48f-4b1d-bd44-3a18dd7bb8ec-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin"
}


response = requests.get(url, headers=headers)

print("Response Body:", json.dumps(response.json(), indent=4, ensure_ascii=False))

return:

Response Body: {
    "code": "OK",
    "msg": "OK",
    "data": {
        "connectors": [
            {
                "id": 100004,
                "source_type": 4,
                "name": "oss-test1",
                "status": "active",
                "created_at": 1738919558,
                "updated_at": 1738919558,
                "username": "admin",
                "related_task_ids": [
                    1889223922712281088
                ],
                "config": {
                    "oss": {
                        "endpoint": "xxxx",
                        "access_key_id": "xxxx","access_key_secret": "xxxx",
                        "bucket_name": "xxxx"
                    }
                }
            },
            {
                "id": 100005,
                "source_type": 5,
                "name": "s3-test",
                "status": "active",
                "created_at": 1738919761,
                "updated_at": 1738919761,
                "username": "admin",
                "related_task_ids": null,
                "config": {
                    "s3": {
                        "endpoint": "xxxx",
                        "access_key_id": "xxxx",
                        "access_key_secret": "xxxx",
                        "bucket_name": "xxxx",
                        "region": "xxxx"
                    }
                }
            }
        ],
        "total": 2
    }
}

Update the connector¶

PUT /connectors/{id}

Input parameters:

Parameters

Required

Meaning

name

Yes

Connector name

config

Yes

Connector Configuration Information

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/connectors/100005"

headers = {
    "user-id":"0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "f42d1006-b48f-4b1d-bd44-3a18dd7bb8ec-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin"
}

body = {
    "name": "s3-test1",
    "config": {
                    "s3": {
                        "endpoint": "xxxx",
                        "access_key_id": "xxxx",
                        "access_key_secret": "xxxx",
                        "bucket_name": "xxxx",
                        "region": "xxxx"
                    }

}
}

response = requests.put(url, json=body, headers=headers)

if response.status_code == 200:
    print(response.json())
else:
    print(f"Request failed, status code: {response.status_code}, error message: {response.text}")

Query the connector source file¶

GET /connectors/files/list

Input parameters:

Parameters

Required

Meaning

connector_id

Yes

Connector id

file_types

No

File type, 0: empty file type (may be used as default or invalid value); 1: TXT text file type; 2: PDF document file type 3: picture file type; 4: PPT presentation file type; 5: Word document file type; 6: Markdown markup language file type; 7: CSV comma separated value file type; 8: Parquet columnar storage file type; 9: SQL file type; 10: directory type

Output parameters:

Parameters

Meaning

uri

represents the unique resource locator in the source connector.

filename

filename

size

File size

type

File type, 0: Empty file type (may be used as default or invalid value); 1: TXT text file type; 2: PDF document file type 3: Picture file type; 4: PPT presentation file type; 5: Word document file type; 6: Markdown markup language file type; 7: CSV comma separated value file type; 8: Parquet columnar storage file type; 9: SQL file type; 10: Directory type.

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/connectors/files/list"

headers = {
    "user-id": "<your_workspace_id>",
    "Access-Token": "<your_access_token>",
    "uid": "<your_uid>",
}

params = {
    "connector_id": 100004,
    "file_types": 2
}

response = requests.get(url, headers=headers, params=params)

try:
    response_json = response.json()
    print("Response Body:", json.dumps(response_json, indent=4, ensure_ascii=False))
except json.JSONDecodeError:
    print("Response is not in JSON format:", response.text)

return:

Response Body: {
    "code": "OK",
    "msg": "OK",
    "data": {
        "files": [
            {
                "uri": "Dream of the Red Chamber (Public Book) Simplified Chinese horizontal row.pdf",
                "filename": "Dream of the Red Chamber (Public Book) Simplified Chinese horizontal row.pdf",
                "size": 6787457,
                "type": 2
            },
            {
                "uri": "file1",
                "filename": "file1",
                "size": 0,
                "type": 10
            }
        ]
    }
}

Data loading¶

Create a load task¶

POST /task

Input parameters:

Parameters

Required

Meaning

source_connector_id

Yes

Connector Name

volume_id

Yes

id of the original volume to be loaded

source_config

Yes

Configure for loading task source

common_file_task_config

Yes

Configure for common files

load_mode_config

Yes

Load mode setting, interval is the load cycle, load_interval_type represents the load cycle unit and type, 0: unknown load interval type, can be used as the default invalid value); 1: load by day, which may represent a fixed time load per day; 2: load by hour, which may represent a fixed time load per hour 3: load by minute, which may represent a fixed time load per minute; 4: default type, which is loaded only once.

uris

Yes

File to load

config_type

Yes

Indicates the common file load configuration type, default is 1

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/task"
headers = {
    "user-id":"xxxx",
    "Access-Token": "xxxx",
    "uid": "f42d1006-b48f-4b1d-bd44-3a18dd7bb8ec-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin"
}

body = {
    "source_connector_id":100004,
    "volume_id":"1889578498228068352",
    "source_config":
        {"common_file_task_config":
             {
                 "load_mode_config":
                  {
                      "load_interval_type":4
                   },
              "uris":["Dream of the Red Chamber (Public Book) Simplified Chinese horizontal row.pdf"]
             }
        },
    "config_type":1
}

response = requests.post(url, json=body, headers=headers)
print(response.json())

return:

{'code': 'OK', 'msg': 'OK'}

Load the task list¶

GET /task/list

Input parameters:

Parameters

Required

Meaning

is_desc

No

Sort

load_interval_types

No

Load interval, 0: unknown interval type; 1: by day; 2: by hour; 3: by minute; 4: only once

order_by

No

Configure for loading task source

page

No

Page

page_size

No

When the page number

status

No

Indicates the common file load configuration type, default is 1

Output parameters:

Parameters

Meaning

id

Load id

source_connector_id

connector id

source_connector_type

Connector type

volume_id

original volume id

volume_name

original volume name

status

Loading task status, 0: unknown state; 1: normal execution or executable state; 2: pausing state; 3: paused state; 4: completed state.

creator

Created by

source_config

Load configuration

start_at

Loading time

end_at

end time

created_at

Created time

updated_at

Update time

total

Return quantity

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/task/list"

headers = {
    "user-id": "0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "cef0d7a2-1505-4384-a89d-5ee5b8246f95-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin",
}

response = requests.get(url, headers=headers)

print("Response Body:", json.dumps(response.json(), indent=4, ensure_ascii=False))

return:

Response Body: {
    "code": "OK",
    "msg": "OK",
    "data": {
        "tasks": [
            {
                "id": "1889223922712281088",
                "source_connector_id": 100004,
                "source_connector_type": 4,
                "volume_id": "1889223879880048640",
                "volume_name": "b-vol1",
                "name": "",
                "status": 4,
                "creator": "admin",
                "source_config": {
                    "common_file_task_config": {
                        "uris": [
                            "Dream of the Red Chamber (Public Book) Simplified Chinese Horizontal.pdf"
                        ],
                        "load_mode_config": {
                            "load_interval_type": 4,
                            "interval": 0
                        }
                    }
                },
                "start_at": 1739261063,
                "end_at": 1739261640,
                "created_at": 1739261057,
                "updated_at": 1739261640
            }
        ],
        "total": 1
    }
}

Load task update¶

POST /task/update

Input parameters:

Parameters

Required

Meaning

task_id

Yes

Task id

load_mode_config

No

Load mode setting, interval is the load cycle, load_interval_type represents the load cycle unit and type, 0: unknown load interval type, can be used as the default invalid value); 1: load by day, which may represent a fixed time load per day; 2: load by hour, which may represent a fixed time load per hour 3: load by minute, which may represent a fixed time load per minute; 4: default type, which is loaded only once.

uris

No

Load file

Example:

import requests
import json
# API URL
url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/task/update"

headers = {
    "user-id":"0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "f42d1006-b48f-4b1d-bd44-3a18dd7bb8ec-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin"
}

body = {
    "task_id":"1889698919578107904",
    "load_mode_config":{
                      "load_interval_type":4
                   },
              "uris":["Dream of the Red Chamber (Public Book) Simplified Chinese horizontal row.pdf"]
}

response = requests.post(url, json=body, headers=headers)
print(response.json())

return:

{'code': 'OK', 'msg': 'OK'}

Load task deletion¶

POST /task/delete

Input parameters:

Parameters

Required

Meaning

task_id

Yes

Task id

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/task/delete/"

headers = {
    "user-id": "0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "cef0d7a2-1505-4384-a89d-5ee5b8246f95-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin",
}

body = {
    "task_id": "1234567890"
}

response = requests.post(url, headers=headers, json=body)

if response.status_code == 200:
    print(response.json())
else:
    print(f"Request failed, status code: {response.status_code}, error message: {response.text}")

return:

{'code': 'OK', 'msg': 'OK'}

Loading task pause¶

POST /task/pause

Input parameters:

Parameters

Required

Meaning

task_id

Yes

Task id

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/task/pause"

headers = {
    "user-id": "0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "cef0d7a2-1505-4384-a89d-5ee5b8246f95-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin",
}

body= {
    "task_id": "1889613340219121664"
}

response = requests.post(url, headers=headers, json=body)

if response.status_code == 200:
    print(response.json()) # Print the returned JSON data
else:
    print(f"Request failed, status code: {response.status_code}, error message: {response.text}")

return:

{'code': 'OK', 'msg': 'OK'}

Load task recovery¶

POST /task/resume

Input parameters:

Parameters

Required

Meaning

task_id

Yes

Task id

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/task/resume"

headers = {
    "user-id": "0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "cef0d7a2-1505-4384-a89d-5ee5b8246f95-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin",
}

data = {
    "task_id": "1889613340219121664"
}

response = requests.post(url, headers=headers, json=data)

if response.status_code == 200:
    print(response.json())
else:
    print(f"Request failed, status code: {response.status_code}, error message: {response.text}")

return:

{'code': 'OK', 'msg': 'OK'}

Loading task retry¶

POST /task/retry

Input parameters:

Parameters

Required

Meaning

task_id

Yes

Task id

ids

Yes

Failed file id

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/task/retry"
headers = {
    "user-id":"0194e0c2-7e81-7040-ba44-f1d4f51axxxx",
    "Access-Token": "",
    "uid": "0401ffeb-592c-4472-bed4-fb4631c72688-0194e0c2-7e81-7040-ba44-f1d4f51axxxx:admin:accountadmin"
}

body = {
    "task_id": "1889074091616481280",
    "ids": ["1889074111245824000"]
}

response = requests.post(url, headers=headers,json=body)
print("Response Body:", json.dumps(response.json(), indent=4, ensure_ascii=False))

return:

Response Body: {
    "code": "OK",
    "msg": "OK"
}

Loading task acquisition¶

GET /task/get

Input parameters:

Parameters

Required

Meaning

task_id

Yes

Task id

Output parameters:

Parameters

Meaning

id

Load id

source_connector_id

connector id

source_connector_type

Connector type

volume_id

original volume id

volume_name

original volume name

status

Loading task status, 0: unknown state; 1: normal execution or executable state; 2: pausing state; 3: paused state; 4: completed state.

creator

Created by

source_config

Load configuration

start_at

Loading time

end_at

end time

created_at

Created time

updated_at

Update time

total

Return quantity

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/task/get?task_id=1889613340219121664"

headers = {
    "user-id": "0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "cef0d7a2-1505-4384-a89d-5ee5b8246f95-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin",
}

response = requests.get(url, headers=headers)
print("Response Body:", json.dumps(response.json(), indent=4, ensure_ascii=False))

return:

Response Body: {
    "code": "OK",
    "msg": "OK",
    "data": {
        "task": {
            "id": "1889613340219121664",
            "source_connector_id": 100004,
            "source_connector_type": 4,
            "volume_id": "1889578498228068352",
            "volume_name": "b-vol2",
            "name": "",
            "status": 4,
            "creator": "admin",
            "source_config": {
                "common_file_task_config": {
                    "uris": [
                        "Dream of the Red Chamber (Public Book) Simplified Chinese Horizontal.pdf"
                    ],
                    "load_mode_config": {
                        "load_interval_type": 4,
                        "interval": 0
                    }
                }
            },
            "start_at": 1739355480,
            "end_at": 1739355480,
            "created_at": 1739353902,
            "updated_at": 1739355480
        }
    }
}

Get the file under the load task¶

GET /task/files

Input parameters:

Parameters

Required

Meaning

task_id

Yes

Task id

page

No

Page

page_size

No

Maximum number of files displayed on the page

Output parameters:

Parameters

Meaning

id

Load id

name

file name

type

File type

status

File load status

size

File size

update_time

Update time

user

Founder

start_at

Loading time

end_at

end time

Example:

import requests
import json

url = "https://freetier-01.cn-hangzhou.cluster.cn-dev.matrixone.tech/task/files?task_id=1889613340219121664"

headers = {
    "user-id": "0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx",
    "Access-Token": "xxxx",
    "uid": "cef0d7a2-1505-4384-a89d-5ee5b8246f95-0194dfaa-3eda-7ea5-b47c-b4f4f594xxxx:admin:accountadmin",
}

params = {
    "task_id": 1889613340219121664
}

response = requests.get(url, headers=headers, params=params)

print("Response Body:", json.dumps(response.json(), indent=4, ensure_ascii=False))

return:

Response Body: {
    "code": "OK",
    "msg": "OK",
    "data": {
        "total": 1,
        "total_success": 1,
        "total_failed": 0,
        "files": [
            {
                "id": "1889613341347389440",
                "name": "Dream of the Red Chamber (Public Book) Simplified Chinese horizontal row.pdf",
                "type": 2,
                "status": 5,
                "size": 6787457,
                "update_time": 1739353902,
                "other_metadata": "",
                "reason": "",
                "user": "admin",
                "start_time": 1739353902,
                "end_time": 0,
                "path": "/b-vol2/Dream of the Red Chamber (Public Book) Simplified Chinese horizontal row.pdf"
            }
        ]
    }
}
Next
Data processing related API
Previous
API Key Management
Copyright © 2026, MatrixOrigin
Made with Sphinx and @pradyunsg's Furo
On this page
  • Data access related API
    • Connector
      • Create a Connector
      • Verify the connector
      • Query Connector
      • Update the connector
      • Query the connector source file
    • Data loading
      • Create a load task
      • Load the task list
      • Load task update
      • Load task deletion
      • Loading task pause
      • Load task recovery
      • Loading task retry
      • Loading task acquisition
      • Get the file under the load task